package com.classroom.assignment.service;

import com.classroom.assignment.entity.Weather;
import static org.junit.jupiter.api.Assertions.assertNotEquals;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class WeatherServiceTest {

  @Autowired
  private WeatherService service;

  @Test
  public void shouldNotReturnWeatherTokyo() throws Exception {
    // given
    // when
    Weather actual = service.findWeather();
    // then
    assertNotEquals(actual.getCity(), "東京"); // 都市が東京ではない
  }
}
